/* Reset some default styles */
body {
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
}

/* Header styles */
header {
    background-color: #fbf6e2;
    color: #563315;
    text-align: center;
    padding: 40px 0 60px 0;
}

header img {
    width: 500px;
    padding: 80px 0px 0px 0px;
}
#logo2{
    width: 350px;
    padding: 50px 0px 0px 0px;
}
#pots{
    width: 800px;
    padding: 50px 0 50px 0;
}
.ceramics-top{
    position: relative;
    background-color: #7d8e79; 
    text-align: center;
    padding: 80px 0 120px 0;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.ceramics-top::before{
    content: "";
    display: block;
    width: 100%;
    position: absolute;
    height: 70px;
    top: -5px;
    z-index: 100;
    background: url('../img/wave2.png') center center;
    background-size: 3000px 70px;
}
.ceramics-top::after{
    content: "";
    display: block;
    width: 100%;
    position: absolute;
    height: 70px;
    bottom: -20px;
    z-index: 100;
    background: url('../img/wave.png') calc(50% + 120px) center;
    background-size: 3000px 70px;
}

.header-menu {
    color: #563315;
    font-size: 20px;
}

#header-content {
    padding: 10px 0 30px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    text-transform: lowercase;
}

#header-content a {
    text-decoration: none;
}

ul {
    list-style: none;
    padding: 0;
}

li {
    display: inline-block;
    margin: 0 10px;
}

.search-wrap {
    max-width: 400px;
    min-width: 170px;
    margin: 0 auto;
    border: 3px solid #563315;
    border-radius: 30px;
    color: #563315;
    display: flex;
    align-items: center;
}

.search-wrap i {
    padding-left: 5px;
}

.search-wrap:hover {
    background-color: #331c0733;
}

#search:focus {
    outline: none !important;
}

#search {
    flex: 1;
    min-width: 370px;
    appearance: none;
    border: none;
    margin: 0;
    padding: 6px;
    font-size: 16px;
    background: none;
    color: #563315;
}

main {
    background-color: #fbf6e2;
}

/* image carousel */
.ceramic-main{
    display: flex;
    padding: 0 35px 70px 35px;
    align-items: center;
    justify-content: center;
    min-height: 60vh;
}
.image-slider{
    max-width: 1200px;
    position: relative;
}
.image-slider i{
    top: 50%;
    height: 50px;
    width: 50px;
    cursor: pointer;
    font-size: 1.2rem;
    text-align: center;
    line-height: 50px;
    background: #ffffff;
    color: #563315;
    border-radius: 50%;
    position: absolute;
    transform: translateY(-50%);
}
.image-slider i:first-child{
    left: -23px;
}
.image-slider i:last-child{
    right: -23px;
}
.image-slider .carousel{
    white-space: nowrap;
    cursor: pointer;
    font-size: 0px;
    overflow: hidden;
    scroll-behavior: smooth;
}
.carousel.dragging{
    cursor: grab;
    scroll-behavior: auto;
}
.carousel.dragging img{
    pointer-events: none;
}
.carousel img{
    height: 340px;
    object-fit: cover;
    margin-left: 14px;
    width: calc(100%/3);
    border-radius: 5%;

}
.carousel img:first-child{
    margin-left: 0px;
    
}
/* planted pots */
.pp {
    display: flex;
    justify-content: center;
    padding: 0 35px 70px 35px;
}

.planted-pots {
    max-width: 1200px;
    display: flex;
    gap: 25px;
}

.planted-pots img{
    height: 340px;
    border-radius: 5%;
    flex: 1; 
    object-fit: cover;

}
.planted-pots p{
    padding: 0 14px 0 14px;
    margin: 0;
    color: #563315;
}

/* other works */
h2{
    text-align: center;
    color: #563315;
    margin: 0;
    padding: 60px 0; 
}
.other-ceramics {
    
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 25px;
    padding: 0 35px 70px 35px;
}
.other-work-container{
    position: relative;
    display: inline-block;
}
.other-work-container #other-work1{
    border-radius: 5%;
}
.other-work-container #other-work2{
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99;
    border-radius: 5%;
}
.other-work-container:hover #other-work2{
    display: inline;
    border-radius: 5%;
}
.other-work-container:hover #other-work1{
    opacity: 0;
}

@media screen and (max-width:900px){
    .carousel img{
        width:calc(100% / 2);
    }
    #pots{
        width: 600px;
    }
    .planted-pots {
        flex-direction: column;
        align-items: center;
    }

    .planted-pots img, .planted-pots p {
        width:calc(100%/ 2);
    }
}
@media screen and (max-width:550px){
    .carousel img{
        width:100%;
    }
    #pots{
        width: 400px;
    }
    .planted-pots {
        flex-direction: column;
        align-items: center;
    }

    .planted-pots img, .planted-pots p {
        width: 100%;
    }
}

/* footer styles */
footer {
    background-color: #7d8e79;
    padding-top: 45px;
    padding-bottom: 20px;
    font-size: medium;
    margin-top: -20px;
}

footer a {
    color: #fbf6e2;
    text-decoration: none;

}

footer a:hover {
    text-decoration: underline;
}

footer p {
    margin-top: 0;
}

#footer-content {
    color: #fbf6e2;
    display: flex;
    /* grid-template-columns: repeat(3, 1fr);  */
    gap: 100px;
    justify-content: center;
    max-width: 80%; 
    margin: 0 auto;
    padding: 0 20px;
}

/* dropdown menu */
.dropbtn {
    background-color: #fbf6e2;
    color: #563315;
    border: none;
    cursor: pointer;
    font-size: 20px;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #563315;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(86, 51, 21, 0.2);
    z-index: 1;
}

.dropdown-content a {
    color: #fbf6e2;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}

.dropdown-content a:hover {
    color: #563315;
    background-color: #fbf6e2;
}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
    display: block;
}